<div class="group-container group-position-details">
  <div>
    <TextWithOptions @options={{@colValue.data.locationLabels}} @deviceSize={{@deviceSize}} @tag="label"
      data-name={{@colValue.name}} data-type="location label" data-path="{{@path}}.data.locationLabels" data-gid={{@colValue.gid}}
      class="form-label form-label-position-details">
      {{t "position-details"}}
    </TextWithOptions>
  </div>

  {{#if @options.allowGps}}
    <button disabled={{not this.position.hasGeolocationSupport}}
      class="btn {{if (eq 'gps' this.type) 'btn-success' 'btn-outline-secondary'}} btn-gps btn-location-option me-2 mb-2"
      type="button" {{on "click" (fn this.selectType "gps")}}>
      {{t "campaign-location-type-gps"}}
    </button>
  {{/if}}

  {{#each this.options as |option|}}
    <button
      class="btn {{if (eq option this.type) 'btn-success' 'btn-outline-secondary'}} btn-{{option}} btn-location-option me-2 mb-2"
      type="button" {{on "click" (fn this.selectType option)}}>
      {{t (concat "campaign-location-type-" option)}}
    </button>
  {{/each}}
</div>